Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.faces.component.portlet
Class PortletEventEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              javax.faces.event.ActionEvent
                  org.jboss.portal.faces.component.portlet.PortletEvent
                      org.jboss.portal.faces.component.portlet.PortletEventEvent

All Implemented Interfaces:
  java.io.Serializable

    public class PortletEventEvent

extends PortletEvent

Version:
  $Revision$
Author:
  Thomas Heute
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PortletEventEvent(javax.faces.component.UIComponent uiComponent, org.jboss.portal.common.util.ParameterMap interactionState, org.jboss.portal.portlet.invocation.response.UpdateNavigationalStateResponse.Event event)`

Method Summary
`org.jboss.portal.portlet.invocation.response.UpdateNavigationalStateResponse.Event` | `getEvent()`
`java.util.Map` | `getParameterMap()`

Methods inherited from class org.jboss.portal.faces.component.portlet.PortletEvent
`isAppropriateListener, processListener`

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, getPhaseId, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletEventEvent

    public PortletEventEvent(javax.faces.component.UIComponent uiComponent,
                             org.jboss.portal.common.util.ParameterMap interactionState,
                             org.jboss.portal.portlet.invocation.response.UpdateNavigationalStateResponse.Event event)

Method Detail

### getEvent

    public org.jboss.portal.portlet.invocation.response.UpdateNavigationalStateResponse.Event getEvent()

### getParameterMap

    public java.util.Map getParameterMap()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD